<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Subsubtemas
 *
 * @ORM\Table(name="subsubtemas", indexes={@ORM\Index(name="cve_sub", columns={"cve_sub"})})
 * @ORM\Entity
 */
class Subsubtemas
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_subsub", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideSubsub;

    /**
     * @var integer
     *
     * @ORM\Column(name="cve_sub", type="integer", nullable=false)
     */
    private $cveSub;

    /**
     * @var string
     *
     * @ORM\Column(name="subsubtema", type="string", length=500, nullable=false)
     */
    private $subsubtema;



    /**
     * Get ideSubsub
     *
     * @return integer
     */
    public function getIdeSubsub()
    {
        return $this->ideSubsub;
    }

    /**
     * Set cveSub
     *
     * @param integer $cveSub
     *
     * @return Subsubtemas
     */
    public function setCveSub($cveSub)
    {
        $this->cveSub = $cveSub;

        return $this;
    }

    /**
     * Get cveSub
     *
     * @return integer
     */
    public function getCveSub()
    {
        return $this->cveSub;
    }

    /**
     * Set subsubtema
     *
     * @param string $subsubtema
     *
     * @return Subsubtemas
     */
    public function setSubsubtema($subsubtema)
    {
        $this->subsubtema = $subsubtema;

        return $this;
    }

    /**
     * Get subsubtema
     *
     * @return string
     */
    public function getSubsubtema()
    {
        return $this->subsubtema;
    }
}
